version: '3'
services:
  qy_lty:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: qy_lty
    restart: always
    tty: true
    stdin_open: true
    # 加载环境变量文件
    env_file:
      - .env
    # 挂载
    volumes:
      - ./achievement_app:/app/achievement_app
      - ./aiapp:/app/aiapp
      - ./ali_vi_app:/app/ali_vi_app
      - ./card:/app/card
      - ./common:/app/common
      - ./food_app:/app/food_app
      - ./device_interaction:/app/device_interaction
      - ./qy_lty:/app/qy_lty
      - ./userapp:/app/userapp
      - ./logs:/app/logs
    ports:
      - "12012:8000"
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"
